## ros-roslisp 1.9.19

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roslisp)

find_package(catkin REQUIRED)
catkin_package(CFG_EXTRAS roslisp-extras.cmake)

add_subdirectory(env-hooks)

foreach(dir
    load-manifest
    rosbuild
    roslisp-msg-protocol
    src
    s-xml
    s-xml-rpc
    utils)
  install(DIRECTORY ${dir}
      DESTINATION share/${PROJECT_NAME}
      PATTERN ".svn" EXCLUDE
      PATTERN "genmsg_lisp.py" EXCLUDE)
endforeach()

# install legacy infrastructure needed by rosbuild
install(FILES manifest.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY scripts
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    USE_SOURCE_PERMISSIONS
    PATTERN ".svn" EXCLUDE
    PATTERN "genmsg_lisp.py" EXCLUDE)
install(FILES rosbuild/roslisp.cmake
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rosbuild)
install(PROGRAMS
    rosbuild/scripts/genmsg_lisp.py
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rosbuild/scripts)

=== s-xml/Makefile ===
# $Id: Makefile,v 1.3 2004/07/08 19:31:22 scaekenberghe Exp $

default:
	@echo Possible targets:
	@echo clean-openmcl --- remove all '*.dfsl' recursively
	@echo clean-lw --- remove all '*.nfasl' recursively
	@echo clean-emacs --- remove all '*~' recursively
	@echo clean --- all of the above

clean-openmcl:
	find . -name "*.dfsl" | xargs rm

clean-lw:
	find . -name "*.nfasl" | xargs rm

clean-emacs:
	find . -name "*~" | xargs rm

clean: clean-openmcl clean-lw clean-emacs

#
# This can obviously only be done by a specific person in a very specific context ;-)
#

PRJ=s-xml
ACCOUNT=scaekenberghe
CVSRT=:ext:$(ACCOUNT)@common-lisp.net:/project/$(PRJ)/cvsroot

release:
	rm -rf /tmp/$(PRJ) /tmp/public_html /tmp/$(PRJ).tgz /tmp/$(PRJ).tgz.asc
	cd /tmp; cvs -d$(CVSRT) export -r HEAD $(PRJ); cvs -d$(CVSRT) export -r HEAD public_html
	mv /tmp/public_html /tmp/$(PRJ)/doc
	cd /tmp; gnutar cvfz $(PRJ).tgz $(PRJ); gpg -a -b $(PRJ).tgz
	scp /tmp/$(PRJ).tgz $(ACCOUNT)@common-lisp.net:/project/$(PRJ)/public_html
	scp /tmp/$(PRJ).tgz.asc $(ACCOUNT)@common-lisp.net:/project/$(PRJ)/public_html

=== debian/changelog ===
ros-roslisp (1.9.19-1) unstable; urgency=medium

  * Initial release (Closes: #804035)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 26 Nov 2015 21:00:39 +0000

=== debian/control ===
Source: ros-roslisp
Section: lisp
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), cmake, catkin
Standards-Version: 3.9.6
Homepage: http://wiki.ros.org/roslisp
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-roslisp.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-roslisp.git

Package: roslisp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python, catkin
Description: Lisp client library for Robot OS
 This package is part of Robot OS (ROS). Roslisp is a client library
 for writing ROS nodes in idiomatic Common Lisp. The library is
 written to support ease of use, quick scripting of nodes, and
 interactive debugging of a running ROS system.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/roslisp-$1\.tar\.gz/ \
  https://github.com/ros/roslisp/releases .*/v?(\d\S*)\.tar\.gz

## ros-roslisp 1.9.20

=== debian/changelog ===
ros-roslisp (1.9.20-1) unstable; urgency=medium

  * Imported Upstream version 1.9.20

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 09:54:45 +0200

## ros-roslisp 1.9.21

=== debian/changelog ===
ros-roslisp (1.9.21-3) unstable; urgency=medium

  * Update dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Jul 2018 23:14:29 +0200

ros-roslisp (1.9.21-2) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Move pkgconfig to share
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 19:02:41 +0200

ros-roslisp (1.9.21-1) unstable; urgency=medium

  * Update Vcs URLs
  * Update my email address
  * Remove lintian override, fixed in lintian 2.5.47
  * Update watch file
  * New upstream version 1.9.21
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Aug 2017 23:39:48 +0200

=== debian/control ===
Source: ros-roslisp
Section: lisp
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), cmake, catkin
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/roslisp
Vcs-Browser: https://salsa.debian.org/science-team/ros-roslisp
Vcs-Git: https://salsa.debian.org/science-team/ros-roslisp.git

Package: roslisp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, sbcl | lisp-compiler, rospack-tools, cl-rosgraph-msgs, cl-std-srvs
Description: Lisp client library for Robot OS
 This package is part of Robot OS (ROS). Roslisp is a client library
 for writing ROS nodes in idiomatic Common Lisp. The library is
 written to support ease of use, quick scripting of nodes, and
 interactive debugging of a running ROS system.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## ros-roslisp 1.9.22

=== env-hooks/CMakeLists.txt ===
catkin_add_env_hooks(99.roslisp SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
ros-roslisp (1.9.22-2) unstable; urgency=medium

  * Port to Python 3
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * Drop versioned depends on catkin (version is in stable)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 19:31:24 +0200

ros-roslisp (1.9.22-1) unstable; urgency=medium

  * New upstream version 1.9.22

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Oct 2018 19:54:08 +0200

ros-roslisp (1.9.21-4) unstable; urgency=medium

  * Adopt to new catkin
  * Bump policy version (no changes)
  * simplify d/rules
  * Add Python dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Oct 2018 07:48:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), cmake, catkin
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12), catkin
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/roslisp
 Vcs-Browser: https://salsa.debian.org/science-team/ros-roslisp
@@ -14,7 +14,7 @@
 
 Package: roslisp
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, sbcl | lisp-compiler, rospack-tools, cl-rosgraph-msgs, cl-std-srvs
+Depends: ${shlibs:Depends}, ${misc:Depends}, sbcl | lisp-compiler, rospack-tools, cl-rosgraph-msgs, cl-std-srvs, python3
 Description: Lisp client library for Robot OS
  This package is part of Robot OS (ROS). Roslisp is a client library
  for writing ROS nodes in idiomatic Common Lisp. The library is

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-roslisp-$1.tar.gz%" \
    https://github.com/ros/roslisp/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-roslisp 1.9.24

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(roslisp)
 
 find_package(catkin REQUIRED)
 catkin_package(CFG_EXTRAS roslisp-extras.cmake)
 
-add_subdirectory(env-hooks)
+catkin_add_env_hooks(99.roslisp SHELLS sh DIRECTORY ${PROJECT_SOURCE_DIR}/env-hooks)
 
 foreach(dir
     load-manifest
@@ -20,9 +20,6 @@
       PATTERN "genmsg_lisp.py" EXCLUDE)
 endforeach()
 
-# install legacy infrastructure needed by rosbuild
-install(FILES manifest.xml
-    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
 install(DIRECTORY scripts
     DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
     USE_SOURCE_PERMISSIONS

=== s-xml-rpc/Makefile ===
default:
	@echo Possible targets:
	@echo clean-openmcl --- remove all '*.dfsl' recursively
	@echo clean-lw --- remove all '*.nfasl' recursively
	@echo clean-emacs --- remove all '*~' recursively
	@echo clean --- all of the above

clean-openmcl:
	find . -name "*.dfsl" | xargs rm

clean-lw:
	find . -name "*.nfasl" | xargs rm

clean-emacs:
	find . -name "*~" | xargs rm

clean: clean-openmcl clean-lw clean-emacs

#
# This can obviously only be done by a specific person in a very specific context ;-)
#

PRJ=s-xml-rpc
ACCOUNT=scaekenberghe
CVSRT=:ext:$(ACCOUNT)@common-lisp.net:/project/$(PRJ)/cvsroot

release:
	rm -rf /tmp/$(PRJ) /tmp/public_html /tmp/$(PRJ).tgz /tmp/$(PRJ).tgz.asc
	cd /tmp; cvs -d$(CVSRT) export -r HEAD $(PRJ); cvs -d$(CVSRT) export -r HEAD public_html
	mv /tmp/public_html /tmp/$(PRJ)/doc
	cd /tmp; gnutar cvfz $(PRJ).tgz $(PRJ); gpg -a -b $(PRJ).tgz
	scp /tmp/$(PRJ).tgz $(ACCOUNT)@common-lisp.net:/project/$(PRJ)/public_html
	scp /tmp/$(PRJ).tgz.asc $(ACCOUNT)@common-lisp.net:/project/$(PRJ)/public_html

=== debian/changelog ===
ros-roslisp (1.9.24-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 11:54:03 +0100

ros-roslisp (1.9.24-2) unstable; urgency=medium

  * Fix d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 12 Jun 2020 17:02:56 +0200

ros-roslisp (1.9.24-1) unstable; urgency=medium

  * simplify d/watch
  * New upstream version 1.9.24
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 11:11:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/roslisp
 Vcs-Browser: https://salsa.debian.org/science-team/ros-roslisp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-roslisp-$1.tar.gz%" \
    https://github.com/ros/roslisp/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-roslisp 1.9.25

=== debian/changelog ===
ros-roslisp (1.9.25-2) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.0
  * Migrate to dh-ros
  * Add myself to uploaders
  * Override Lintian false positives

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 15:52:52 +0200

ros-roslisp (1.9.25-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Jochen Sprickerhof ]
  * New upstream version 1.9.25
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 19:39:38 +0200

=== debian/control ===
Source: ros-roslisp
Section: lisp
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/roslisp
Vcs-Browser: https://salsa.debian.org/science-team/ros-roslisp
Vcs-Git: https://salsa.debian.org/science-team/ros-roslisp.git

Package: roslisp
Architecture: all
Depends:
 cl-rosgraph-msgs,
 cl-std-srvs,
 python3,
 rospack-tools,
 sbcl | lisp-compiler,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lisp client library for Robot OS
 This package is part of Robot OS (ROS). Roslisp is a client library
 for writing ROS nodes in idiomatic Common Lisp. The library is
 written to support ease of use, quick scripting of nodes, and
 interactive debugging of a running ROS system.
